body,
a,
h1,
h2,
h3,
p,
td,
quote,
small,
form,
input,
ul,
li,
ol,
label {
    /* resetting our page elements */
    margin: 0px;
    padding: 0px;
    font-family: Arial, Helvetica, sans-serif;
}

body {
    /* styling the body */
    margin-top: 2px;
    color: #000000;
    font-size: 13px;
    background-color: #8d71d8;
}

.clear {
    /* the clearfix hack */
    clear: both;
}

.clearfix::after {
  content: "";
  clear: both;
  display: table;
}

a,
a:visited {
    /* styling the links */
    /* color:#007bc4; */
    text-decoration: none;
    outline: none;
}

a:hover {
    /* the hover effect */
    text-decoration: underline;
}

#rounded {
    /* the outermost div element */
    width: 99%;
    margin: 2px auto;
    border-radius: 2px;
}

.container {
    background-color: #FFFFFF;
    padding: 1px 1px 1px 1px;

    display: grid;
    justify-content: start;
    grid-template-columns: auto;
    /*grid: 25%, 75%; */
    grid-template-areas:
        "header"
        "main"
        "footer";
    grid-template-rows: auto;
    /*gap: 10px;
    grid-gap: 10px;*/
}

.navigation {
    grid-area: navigation;
    justify-content: start;
    float: left;
    width: 100%;
    margin-top: 15px;
}

.header {
    grid-area: header;
    justify-content: center;
}

.main {
    grid-area: main;
    justify-content: start;
    float: left;
    width: 100%;
    margin-left: 10px;

    box-sizing: border-box;
}

.footer {
    grid-area: footer;
}

.t_and_c {
    left: 100px;
    margin-top: 20px;
    color: #fbfafa;
}

.contact_us {
    right: 100px;
    margin-top: 5px;
    color: #fbfafa;
}
/*
.container{ // this one contains our navigation, titles, and fetched content *
    background-color:#FFFFFF;
    padding:10px 20px 20px 20px;
}
*/
h1 {
    /* the heading */
    font-size: 28px;
    font-weight: bold;
    font-family: "Trebuchet MS", Arial, Helvetica, sans-serif;
    color: #ddd
}

h2 {
    /* the subheading */
    font-weight: normal;
    font-size: 20px;

    color: #999999;
}

ul {
    /* the unordered list used in the navigation */
    margin: 30px 0px;
}

li {
    /* we float the li-s, which contain our navigation links - we later apply clearfix */
    list-style: none;
    display: block;
    float: left;
    /* width:100px; */
    width: 100%;
}

/*
li a,li a:visited{  /* the navigation links * /
    padding:5px 10px;
    height:25px;
    text-align:center;
    background-color:#361f88;
    color:white;

    -moz-border-radius:5px; /* rounding them * /
    -khtml-border-radius: 5px;
    -webkit-border-radius: 5px;
    border-radius:5px;
}
*/

li a:hover {
    background-color: #666666;
    text-decoration: none;
}

/* JO Button conversion */
.nav-button {
    background-color: #361f88;
    border: 1px solid #361f88;
    color: #FFFFFF;
    display: block;
    float: left;
    /* width:100px;  */
    width: 100%;
    padding: 5px;
    margin-top: 3px;
    margin-bottom: 3px;
    /*-moz-border-radius: 5px; */
    /* rounding them */
    -khtml-border-radius: 5px;
    -webkit-border-radius: 5px;
    border-radius: 5px;
}

.centered-button {
    align-self: center;
    justify-self: center;
}

.register-button {
    background-color: #d8cef3;
    border: 1px solid #361f88;    
    padding: 5px;
    margin-top: 3px;
    margin-bottom: 3px;
    -khtml-border-radius: 5px;
    -webkit-border-radius: 5px;
    border-radius: 5px;    
}

#pageContent {
    /* the container that holds our AJAX loaded content */
    float: left;
    margin-top: 5px;
    margin-bottom: 5px;
    width: 100%;
    margin-left: 5px;
    border: 1px dashed #cccccc;
    padding: 5px;

    /*-moz-border-radius: 5px;*/
    /* rounding the element */
    -khtml-border-radius: 5px;
    -webkit-border-radius: 5px;
    border-radius: 5px;
}

#loading {
    /* hiding the rotating gif graphic by default */
    visibility: hidden;
}

/* Add a black background color to the top navigation */
.topnav {
    background-color: #b3a5da;
    /* background-color: #5fa1b9; */
    overflow: hidden;
}

/* Style the links inside the navigation bar */
.topnav a {
    float: left;
    color: #f2f2f2;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
    font-size: 17px;
}

/* Change the color of links on hover */
.topnav a:hover {
    background-color: #ddd;
    color: rgb(183, 147, 219);
}

/* Add a color to the active/current link */
.topnav a.active {
    background-color: hsl(283, 61%, 26%);
    color: white;
}

th, td {
    border: 1px solid black;
    padding: 3px;   
}

table {
    border-collapse: collapse; 
    padding: 3px;   
}
td.location_done {
    background-color: #0bd80b;  /* lightgreen */
}

